# LAYOUT_LIST = ['corridor', 'five_by_five', 'mdp_test', 'multiplayer_schelling',
#                'random0', 'random1', 'random2', 'random3', 'scenario1_s',
#                'scenario2', 'scenario2_s', 'scenario3', 'scenario4',
#                'schelling', 'schelling_s', 'simple', 'simple_single',
#                'simple_tomato', 'small_corridor', 'unident', 'unident_s']

# NAME_TRANSLATION = {
#     "cramped_room": "simple",
#     "asymmetric_advantages": "unident_s",
#     "coordination_ring": "random1",
#     "forced_coordination": "random0",
#     "counter_circuit": "random3",
# }

LAYOUT_LIST = ["asymmetric_advantages", "asymmetric_advantages_tomato", "bonus_order_test",
                "bottleneck", "centre_objects", "centre_pots", "coordination_ring",
                "corridor", "counter_circuit", "counter_circuit_o_1order", "cramped_corridor",
                "cramped_room", "cramped_room_o_3orders", "cramped_room_single", "cramped_room_tomato",
                "five_by_five", "forced_coordination", "forced_coordination_tomato", "inverse_marshmallow_experiment",
                "large_room", "long_cook_time", "marshmallow_experiment_coordination","marshmallow_experiment","mdp_test",
                "m_shaped_s","multiplayer_schelling","old_dynamics_cook_test","old_dynamics_put_test",
                "pipeline","random0","random3","scenario1_s","scenario2","scenario2_s","scenario3","scenario4",
                "schelling","schelling_s","simple_o","simple_o_t","simple_tomato","small_corridor",
                "soup_coordination","tutorial_0","tutorial_1","tutorial_2","tutorial_3","unident","you_shall_not_pass",
                "diverse_coordination", "diverse_orders", "center_pots", "crossway"]

NAME_TRANSLATION = {
    "cramped_room": "cramped_room",
    "asymmetric_advantages": "asymmetric_advantages",
    "coordination_ring": "coordination_ring",
    "forced_coordination": "forced_coordination",
    "counter_circuit": "counter_circuit_o_1order",
}

# A style is composed of a list of masked events

DIVERSE_COORPERATION_STYLE_LIST = [
    # Cook on the first pot, without onion, with dish
    ["onion_pickup_from_dispenser", "move_right"],
    # Cook on the first pot, with onion, without dish
    ["dish_pickup_from_dispenser", "move_right"],
    # Cook on the first pot, without onion and dish
    ["onion_pickup_from_dispenser", "dish_pickup_from_dispenser","move_right"],

    # Cook on the second pot, without onion, with dish
    ["onion_pickup_from_dispenser", "move_left"],
    # Cook on the second pot, with onion, without dish
    ["dish_pickup_from_dispenser", "move_left"],
    # Cook on the second pot, without onion and dish
    ["onion_pickup_from_dispenser", "dish_pickup_from_dispenser", "move_left"],

    # Only pass soup to ego agent
    ["soup_delivery", "move_right"],
    ["soup_delivery", "move_left"]
]

DIVERSE_ORDERS_STYLE_LIST = [
    # serving onion at location 1
    ["soup_serving_at_loc_2", "soup_serving_at_loc_3", "soup_serving_at_loc_4", "dish_pickup", "tomato_pickup"],
    # serving onion at location 2
    ["soup_serving_at_loc_1", "soup_serving_at_loc_3", "soup_serving_at_loc_4", "dish_pickup", "tomato_pickup"],
    # serving onion at location 3
    ["soup_serving_at_loc_1", "soup_serving_at_loc_2", "soup_serving_at_loc_4", "ego_dish_pickup", "tomato_pickup"],
    # serving onion at location 4
    ["soup_serving_at_loc_1", "soup_serving_at_loc_2", "soup_serving_at_loc_3", "ego_dish_pickup", "tomato_pickup"],
    # serving tomato at location 1
    ["soup_serving_at_loc_2", "soup_serving_at_loc_3", "soup_serving_at_loc_4", "dish_pickup", "onion_pickup"],
    # serving tomato at location 2
    ["soup_serving_at_loc_1", "soup_serving_at_loc_3", "soup_serving_at_loc_4", "dish_pickup", "onion_pickup"],
    # serving tomato at location 3
    ["soup_serving_at_loc_1", "soup_serving_at_loc_2", "soup_serving_at_loc_4", "ego_dish_pickup", "onion_pickup"],
    # serving tomato at location 4
    ["soup_serving_at_loc_1", "soup_serving_at_loc_2", "soup_serving_at_loc_3", "ego_dish_pickup",  "onion_pickup"],
]


CENTER_POTS_STYLE_LIST = [
    # act on the upper side
    ["move_down"],
    # act on the lower side
    ["move_up"],
    # act on the left side
    ["move_right"],
    # act on the right side
    ["move_left"],
    # act on left upper side
    ["move_right", "move_down"],
    # act on right upper side
    ["move_left", "move_down"],
    # act on left lower side
    ["move_right", "move_up"],
    # act on right lower side
    ["move_left", "move_up"]
]

CROSSWAY_STYLE_LIST = [
    # up + left
    ["move_down", "move_right"],
    # up + right
    ["move_down", "move_left"],
    # down + left
    ["move_up", "move_right"],
    # down + right
    ["move_up", "move_left"],
    # up + no dish
    ["move_down", "dish_pickup"],
    # down + no dish
    ["move_up", "dish_pickup"],
    # left + no onion
    ["move_right", "onion_pickup"],
    # right + no onion
    ["move_left", "onion_pickup"]
]
